# Roo Code 3.8.0 Release Notes (2025-03-07)

This major release introduces Boomerang Tasks, multi-block diff editing, multi-window support, `.rooignore`, Human Relay provider, and opt-in telemetry, alongside numerous improvements and fixes.

## Feature Highlights

*   **Boomerang Tasks:** When using the `new_task` tool, child tasks now return a summary to the parent task upon completion, enabling automated hand-offs and results retrieval. (thanks shaybc!)
*   **Multi-Block Diff Strategy (Experimental):** Added a new experimental diff editing strategy that applies multiple diff edits simultaneously for potentially faster and more complex changes. (thanks qdaxb!)
*   **Multi-Window Support:** Roo Code can now run in multiple VS Code editor windows simultaneously. (thanks samhvw8!)
*   **.rooignore Support:** Added support for a `.rooignore` file to prevent Roo Code from reading/writing specified files, with an option to exclude them from search/list results as well. (thanks mrubens, Cline!)
*   **Human Relay Provider:** Introduced a new provider allowing manual copying of information to a Web AI and pasting the response back into Roo Code when direct integration isn't possible. (thanks NyxJae!)
*   **Telemetry (Opt-in):** Added opt-in telemetry to collect anonymous usage data, helping improve Roo Code faster. Can be disabled anytime. [Privacy Policy](https://github.com/RooVetGit/Roo-Code/blob/main/PRIVACY.md). (thanks mrubens, Cline!)

## UX Improvements

*   Redesigned the settings page for easier navigation. (thanks cte!)
*   Made checkpoints asynchronous and excluded more files to speed them up. (thanks cte!)
*   Improved UI for mode/provider selectors in chat. (thanks mrubens!)
*   Improved styling of task headers. (thanks monotykamary!)

## Provider Support

*   Added credential-based authentication for Vertex AI, allowing easy switching between Google Cloud accounts. (thanks eonghk!)
*   Updated the DeepSeek provider with the correct `baseUrl` and fixed caching tracking. (thanks olweraltuve!)
*   Added observability for OpenAI providers. (thanks refactorthis!)
*   Supported speculative decoding for LM Studio local models. (thanks adamwlarson!)

## Bug Fixes

*   Fixed terminal overload issues ("gray screen of death") and other terminal problems. (thanks cte!)
*   Improved context mention path handling on Windows. (thanks samhvw8!)